Package com.google.android.exoplayer2.source.dash.manifest

## Class ServiceDescriptionElement

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.ServiceDescriptionElement

-     public final class ServiceDescriptionElement
      extends Object

  Represents a service description element.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `maxOffsetMs` | The maximum live offset in milliseconds, or `C.TIME_UNSET` if undefined.
    `float` | `maxPlaybackSpeed` | The maximum factor by which playback can be sped up for live speed adjustment, or `C.RATE_UNSET` if undefined.
    `long` | `minOffsetMs` | The minimum live offset in milliseconds, or `C.TIME_UNSET` if undefined.
    `float` | `minPlaybackSpeed` | The minimum factor by which playback can be sped up for live speed adjustment, or `C.RATE_UNSET` if undefined.
    `long` | `targetOffsetMs` | The target live offset in milliseconds, or `C.TIME_UNSET` if undefined.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceDescriptionElement​(long targetOffsetMs, long minOffsetMs, long maxOffsetMs, float minPlaybackSpeed, float maxPlaybackSpeed)` | Creates a service description element.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### targetOffsetMs

          public final long targetOffsetMs

      The target live offset in milliseconds, or `C.TIME_UNSET` if undefined.

    - #### minOffsetMs

          public final long minOffsetMs

      The minimum live offset in milliseconds, or `C.TIME_UNSET` if undefined.

    - #### maxOffsetMs

          public final long maxOffsetMs

      The maximum live offset in milliseconds, or `C.TIME_UNSET` if undefined.

    - #### minPlaybackSpeed

          public final float minPlaybackSpeed

      The minimum factor by which playback can be sped up for live speed adjustment, or `C.RATE_UNSET` if undefined.

    - #### maxPlaybackSpeed

          public final float maxPlaybackSpeed

      The maximum factor by which playback can be sped up for live speed adjustment, or `C.RATE_UNSET` if undefined.

  - ### Constructor Detail

    - #### ServiceDescriptionElement

          public ServiceDescriptionElement​(long targetOffsetMs,
                                           long minOffsetMs,
                                           long maxOffsetMs,
                                           float minPlaybackSpeed,
                                           float maxPlaybackSpeed)

      Creates a service description element.
      Parameters:
        `targetOffsetMs` - The target live offset in milliseconds, or `C.TIME_UNSET` if undefined.
        `minOffsetMs` - The minimum live offset in milliseconds, or `C.TIME_UNSET` if undefined.
        `maxOffsetMs` - The maximum live offset in milliseconds, or `C.TIME_UNSET` if undefined.
        `minPlaybackSpeed` - The minimum factor by which playback can be sped up for live speed adjustment, or `C.RATE_UNSET` if undefined.
        `maxPlaybackSpeed` - The maximum factor by which playback can be sped up for live speed adjustment, or `C.RATE_UNSET` if undefined.